diff --git a/doc/bashref.info b/doc/bashref.info
index 22c25916..a42831b4 100644
--- a/doc/bashref.info
+++ b/doc/bashref.info
@@ -2,9 +2,9 @@ This is bashref.info, produced by makeinfo version 4.13 from
 /usr/homes/chet/src/bash/src/doc/bashref.texi.
 
 This text is a brief description of the features that are present in
-the Bash shell (version 4.2, 5 July 2012).
+the Bash shell (version 4.2, 14 July 2012).
 
-   This is Edition 4.2, last updated 5 July 2012, of `The GNU Bash
+   This is Edition 4.2, last updated 14 July 2012, of `The GNU Bash
 Reference Manual', for `Bash', Version 4.2.
 
    Copyright (C) 1988-2012 Free Software Foundation, Inc.
@@ -33,9 +33,9 @@ Bash Features
 *************
 
 This text is a brief description of the features that are present in
-the Bash shell (version 4.2, 5 July 2012).
+the Bash shell (version 4.2, 14 July 2012).
 
-   This is Edition 4.2, last updated 5 July 2012, of `The GNU Bash
+   This is Edition 4.2, last updated 14 July 2012, of `The GNU Bash
 Reference Manual', for `Bash', Version 4.2.
 
    Bash contains features that appear in other popular shells, and some
@@ -3903,6 +3903,13 @@ parameters, or to display the names and values of shell variables.
           Environment::), and may cause subshells to exit before
           executing all the commands in the subshell.
 
+          If a shell function executes in a context where `-e' is being
+          ignored, even if `-e' is set, none of the commands executed
+          within the function body will be affected by the `-e' setting.
+          If a shell function sets `-e' while executing in a context
+          where `-e' is ignored, that setting will not have any effect
+          until the command containing the function call completes.
+
     `-f'
           Disable filename expansion (globbing).
 
@@ -11000,134 +11007,134 @@ D.5 Concept Index
 
 
 Tag Table:
-Node: Top1089
-Node: Introduction2939
-Node: What is Bash?3167
-Node: What is a shell?4280
-Node: Definitions6819
-Node: Basic Shell Features9737
-Node: Shell Syntax10956
-Node: Shell Operation11986
-Node: Quoting13280
-Node: Escape Character14583
-Node: Single Quotes15068
-Node: Double Quotes15416
-Node: ANSI-C Quoting16541
-Node: Locale Translation17785
-Node: Comments18681
-Node: Shell Commands19299
-Node: Simple Commands20171
-Node: Pipelines20802
-Node: Lists23501
-Node: Compound Commands25230
-Node: Looping Constructs26236
-Node: Conditional Constructs28699
-Node: Command Grouping39532
-Node: Coprocesses41011
-Node: GNU Parallel42739
-Node: Shell Functions45207
-Node: Shell Parameters50291
-Node: Positional Parameters54420
-Node: Special Parameters55320
-Node: Shell Expansions58284
-Node: Brace Expansion60210
-Node: Tilde Expansion62964
-Node: Shell Parameter Expansion65313
-Node: Command Substitution77317
-Node: Arithmetic Expansion78650
-Node: Process Substitution79500
-Node: Word Splitting80550
-Node: Filename Expansion82173
-Node: Pattern Matching84338
-Node: Quote Removal88038
-Node: Redirections88333
-Node: Executing Commands97497
-Node: Simple Command Expansion98167
-Node: Command Search and Execution100097
-Node: Command Execution Environment102434
-Node: Environment105420
-Node: Exit Status107079
-Node: Signals108701
-Node: Shell Scripts110669
-Node: Shell Builtin Commands113187
-Node: Bourne Shell Builtins115215
-Node: Bash Builtins134807
-Node: Modifying Shell Behavior161837
-Node: The Set Builtin162182
-Node: The Shopt Builtin171930
-Node: Special Builtins185981
-Node: Shell Variables186960
-Node: Bourne Shell Variables187400
-Node: Bash Variables189431
-Node: Bash Features214941
-Node: Invoking Bash215840
-Node: Bash Startup Files221618
-Node: Interactive Shells226637
-Node: What is an Interactive Shell?227047
-Node: Is this Shell Interactive?227696
-Node: Interactive Shell Behavior228511
-Node: Bash Conditional Expressions231799
-Node: Shell Arithmetic235587
-Node: Aliases238363
-Node: Arrays240919
-Node: The Directory Stack245205
-Node: Directory Stack Builtins245924
-Node: Controlling the Prompt248880
-Node: The Restricted Shell251652
-Node: Bash POSIX Mode253489
-Node: Job Control262876
-Node: Job Control Basics263336
-Node: Job Control Builtins268055
-Node: Job Control Variables272407
-Node: Command Line Editing273565
-Node: Introduction and Notation275237
-Node: Readline Interaction276859
-Node: Readline Bare Essentials278050
-Node: Readline Movement Commands279839
-Node: Readline Killing Commands280804
-Node: Readline Arguments282724
-Node: Searching283768
-Node: Readline Init File285954
-Node: Readline Init File Syntax287101
-Node: Conditional Init Constructs303534
-Node: Sample Init File306067
-Node: Bindable Readline Commands309184
-Node: Commands For Moving310391
-Node: Commands For History311535
-Node: Commands For Text315720
-Node: Commands For Killing318393
-Node: Numeric Arguments320850
-Node: Commands For Completion321989
-Node: Keyboard Macros326181
-Node: Miscellaneous Commands326869
-Node: Readline vi Mode332675
-Node: Programmable Completion333582
-Node: Programmable Completion Builtins340832
-Node: A Programmable Completion Example350578
-Node: Using History Interactively355828
-Node: Bash History Facilities356512
-Node: Bash History Builtins359511
-Node: History Interaction363439
-Node: Event Designators366144
-Node: Word Designators367366
-Node: Modifiers369005
-Node: Installing Bash370409
-Node: Basic Installation371546
-Node: Compilers and Options374238
-Node: Compiling For Multiple Architectures374979
-Node: Installation Names376643
-Node: Specifying the System Type377461
-Node: Sharing Defaults378177
-Node: Operation Controls378850
-Node: Optional Features379808
-Node: Reporting Bugs389380
-Node: Major Differences From The Bourne Shell390581
-Node: GNU Free Documentation License407273
-Node: Indexes432469
-Node: Builtin Index432923
-Node: Reserved Word Index439750
-Node: Variable Index442198
-Node: Function Index455434
-Node: Concept Index462662
+Node: Top1091
+Node: Introduction2943
+Node: What is Bash?3171
+Node: What is a shell?4284
+Node: Definitions6823
+Node: Basic Shell Features9741
+Node: Shell Syntax10960
+Node: Shell Operation11990
+Node: Quoting13284
+Node: Escape Character14587
+Node: Single Quotes15072
+Node: Double Quotes15420
+Node: ANSI-C Quoting16545
+Node: Locale Translation17789
+Node: Comments18685
+Node: Shell Commands19303
+Node: Simple Commands20175
+Node: Pipelines20806
+Node: Lists23505
+Node: Compound Commands25234
+Node: Looping Constructs26240
+Node: Conditional Constructs28703
+Node: Command Grouping39536
+Node: Coprocesses41015
+Node: GNU Parallel42743
+Node: Shell Functions45211
+Node: Shell Parameters50295
+Node: Positional Parameters54424
+Node: Special Parameters55324
+Node: Shell Expansions58288
+Node: Brace Expansion60214
+Node: Tilde Expansion62968
+Node: Shell Parameter Expansion65317
+Node: Command Substitution77321
+Node: Arithmetic Expansion78654
+Node: Process Substitution79504
+Node: Word Splitting80554
+Node: Filename Expansion82177
+Node: Pattern Matching84342
+Node: Quote Removal88042
+Node: Redirections88337
+Node: Executing Commands97501
+Node: Simple Command Expansion98171
+Node: Command Search and Execution100101
+Node: Command Execution Environment102438
+Node: Environment105424
+Node: Exit Status107083
+Node: Signals108705
+Node: Shell Scripts110673
+Node: Shell Builtin Commands113191
+Node: Bourne Shell Builtins115219
+Node: Bash Builtins134811
+Node: Modifying Shell Behavior161841
+Node: The Set Builtin162186
+Node: The Shopt Builtin172358
+Node: Special Builtins186409
+Node: Shell Variables187388
+Node: Bourne Shell Variables187828
+Node: Bash Variables189859
+Node: Bash Features215369
+Node: Invoking Bash216268
+Node: Bash Startup Files222046
+Node: Interactive Shells227065
+Node: What is an Interactive Shell?227475
+Node: Is this Shell Interactive?228124
+Node: Interactive Shell Behavior228939
+Node: Bash Conditional Expressions232227
+Node: Shell Arithmetic236015
+Node: Aliases238791
+Node: Arrays241347
+Node: The Directory Stack245633
+Node: Directory Stack Builtins246352
+Node: Controlling the Prompt249308
+Node: The Restricted Shell252080
+Node: Bash POSIX Mode253917
+Node: Job Control263304
+Node: Job Control Basics263764
+Node: Job Control Builtins268483
+Node: Job Control Variables272835
+Node: Command Line Editing273993
+Node: Introduction and Notation275665
+Node: Readline Interaction277287
+Node: Readline Bare Essentials278478
+Node: Readline Movement Commands280267
+Node: Readline Killing Commands281232
+Node: Readline Arguments283152
+Node: Searching284196
+Node: Readline Init File286382
+Node: Readline Init File Syntax287529
+Node: Conditional Init Constructs303962
+Node: Sample Init File306495
+Node: Bindable Readline Commands309612
+Node: Commands For Moving310819
+Node: Commands For History311963
+Node: Commands For Text316148
+Node: Commands For Killing318821
+Node: Numeric Arguments321278
+Node: Commands For Completion322417
+Node: Keyboard Macros326609
+Node: Miscellaneous Commands327297
+Node: Readline vi Mode333103
+Node: Programmable Completion334010
+Node: Programmable Completion Builtins341260
+Node: A Programmable Completion Example351006
+Node: Using History Interactively356256
+Node: Bash History Facilities356940
+Node: Bash History Builtins359939
+Node: History Interaction363867
+Node: Event Designators366572
+Node: Word Designators367794
+Node: Modifiers369433
+Node: Installing Bash370837
+Node: Basic Installation371974
+Node: Compilers and Options374666
+Node: Compiling For Multiple Architectures375407
+Node: Installation Names377071
+Node: Specifying the System Type377889
+Node: Sharing Defaults378605
+Node: Operation Controls379278
+Node: Optional Features380236
+Node: Reporting Bugs389808
+Node: Major Differences From The Bourne Shell391009
+Node: GNU Free Documentation License407701
+Node: Indexes432897
+Node: Builtin Index433351
+Node: Reserved Word Index440178
+Node: Variable Index442626
+Node: Function Index455862
+Node: Concept Index463090
 
 End Tag Table
diff --git a/doc/bashref.ps b/doc/bashref.ps
index 856d34b7..086f3527 100644
--- a/doc/bashref.ps
+++ b/doc/bashref.ps
@@ -1,7 +1,7 @@
 %!PS-Adobe-2.0
 %%Creator: dvips(k) 5.991 Copyright 2011 Radical Eye Software
 %%Title: bashref.dvi
-%%CreationDate: Thu Jul  5 20:43:08 2012
+%%CreationDate: Mon Jul 16 16:12:34 2012
 %%Pages: 176
 %%PageOrder: Ascend
 %%BoundingBox: 0 0 612 792
@@ -12,7 +12,7 @@
 %DVIPSWebPage: (www.radicaleye.com)
 %DVIPSCommandLine: dvips -D 600 -t letter -o bashref.ps bashref.dvi
 %DVIPSParameters: dpi=600
-%DVIPSSource:  TeX output 2012.07.05:2043
+%DVIPSSource:  TeX output 2012.07.16:1612
 %%BeginProcSet: tex.pro 0 0
 %!
 /TeXDict 300 dict def TeXDict begin/N{def}def/B{bind def}N/S{exch}N/X{S
@@ -6974,25 +6974,25 @@ b(oundation)p 150 5141 3600 17 v eop end
 %%Page: 2 2
 TeXDict begin 2 1 bop 150 3352 a Ft(This)35 b(text)h(is)g(a)g(brief)f
 (description)h(of)f(the)h(features)g(that)g(are)g(presen)m(t)g(in)f
-(the)h(Bash)f(shell)h(\(v)m(ersion)150 3462 y(4.2,)c(5)e(July)g
-(2012\).)150 3597 y(This)38 b(is)h(Edition)g(4.2,)j(last)d(up)s(dated)f
-(5)h(July)f(2012,)43 b(of)c Fq(The)f(GNU)i(Bash)f(Reference)g(Man)m
-(ual)p Ft(,)j(for)150 3706 y Fs(Bash)p Ft(,)29 b(V)-8
-b(ersion)31 b(4.2.)150 3841 y(Cop)m(yrigh)m(t)602 3838
-y(c)577 3841 y Fp(\015)f Ft(1988{2012)35 b(F)-8 b(ree)31
-b(Soft)m(w)m(are)h(F)-8 b(oundation,)31 b(Inc.)150 3975
-y(P)m(ermission)h(is)h(gran)m(ted)g(to)f(mak)m(e)i(and)d(distribute)h
-(v)m(erbatim)h(copies)g(of)f(this)g(man)m(ual)h(pro)m(vided)f(the)150
-4085 y(cop)m(yrigh)m(t)g(notice)f(and)f(this)g(p)s(ermission)g(notice)h
-(are)g(preserv)m(ed)f(on)h(all)g(copies.)390 4219 y(P)m(ermission)21
-b(is)f(gran)m(ted)h(to)g(cop)m(y)-8 b(,)24 b(distribute)c(and/or)h(mo)s
-(dify)e(this)i(do)s(cumen)m(t)f(under)f(the)390 4329
-y(terms)25 b(of)h(the)f(GNU)h(F)-8 b(ree)27 b(Do)s(cumen)m(tation)g
-(License,)g(V)-8 b(ersion)26 b(1.3)g(or)f(an)m(y)h(later)g(v)m(ersion)
-390 4438 y(published)43 b(b)m(y)h(the)h(F)-8 b(ree)46
-b(Soft)m(w)m(are)g(F)-8 b(oundation;)53 b(with)44 b(no)g(In)m(v)-5
-b(arian)m(t)46 b(Sections,)j(no)390 4548 y(F)-8 b(ron)m(t-Co)m(v)m(er)
-31 b(T)-8 b(exts,)30 b(and)f(no)f(Bac)m(k-Co)m(v)m(er)k(T)-8
+(the)h(Bash)f(shell)h(\(v)m(ersion)150 3462 y(4.2,)c(14)f(July)f
+(2012\).)150 3597 y(This)35 b(is)h(Edition)g(4.2,)j(last)d(up)s(dated)f
+(14)i(July)e(2012,)k(of)d Fq(The)g(GNU)g(Bash)g(Reference)h(Man)m(ual)p
+Ft(,)h(for)150 3706 y Fs(Bash)p Ft(,)29 b(V)-8 b(ersion)31
+b(4.2.)150 3841 y(Cop)m(yrigh)m(t)602 3838 y(c)577 3841
+y Fp(\015)f Ft(1988{2012)35 b(F)-8 b(ree)31 b(Soft)m(w)m(are)h(F)-8
+b(oundation,)31 b(Inc.)150 3975 y(P)m(ermission)h(is)h(gran)m(ted)g(to)
+f(mak)m(e)i(and)d(distribute)h(v)m(erbatim)h(copies)g(of)f(this)g(man)m
+(ual)h(pro)m(vided)f(the)150 4085 y(cop)m(yrigh)m(t)g(notice)f(and)f
+(this)g(p)s(ermission)g(notice)h(are)g(preserv)m(ed)f(on)h(all)g
+(copies.)390 4219 y(P)m(ermission)21 b(is)f(gran)m(ted)h(to)g(cop)m(y)
+-8 b(,)24 b(distribute)c(and/or)h(mo)s(dify)e(this)i(do)s(cumen)m(t)f
+(under)f(the)390 4329 y(terms)25 b(of)h(the)f(GNU)h(F)-8
+b(ree)27 b(Do)s(cumen)m(tation)g(License,)g(V)-8 b(ersion)26
+b(1.3)g(or)f(an)m(y)h(later)g(v)m(ersion)390 4438 y(published)43
+b(b)m(y)h(the)h(F)-8 b(ree)46 b(Soft)m(w)m(are)g(F)-8
+b(oundation;)53 b(with)44 b(no)g(In)m(v)-5 b(arian)m(t)46
+b(Sections,)j(no)390 4548 y(F)-8 b(ron)m(t-Co)m(v)m(er)31
+b(T)-8 b(exts,)30 b(and)f(no)f(Bac)m(k-Co)m(v)m(er)k(T)-8
 b(exts.)41 b(A)29 b(cop)m(y)h(of)f(the)g(license)h(is)f(included)390
 4658 y(in)h(the)h(section)g(en)m(titled)h(\\GNU)f(F)-8
 b(ree)32 b(Do)s(cumen)m(tation)g(License".)150 4902 y(Published)d(b)m
